FYI: This version only works for 1.21 and up (snapshot 24w21a introduced a big change in directive(folder) names...)

Modified sorting order, ONLY survival vanilla obtainable blocks/items are picked up and filtered. with one exception: the light block(as it is a creative block that can be used in survival if you can obtain it). 
the item frame must be within 128 blocks from the lapis/gold dump off point. however this is configured in the config.json (but the datapack needs to be recompiled using node.js) so you can edit this if you need a shorter distance because of neighbours or lag! (going above 128 is un-wise as most servers or even sp worlds hardly ever loads more than 128 blocks from the player) 

this pack is mainly made to fit my needs and play style so it might not suit everyone! //pesegolsson

if you want the original magic sorting system made by jhuckaby for minecraft 1.16, you can download it from: https://github.com/jhuckaby/magic-sorting-system

Sorting all items/blocks obtainable in survival into 54 different (groups) with a {fall back group}
so you don't need to have 54 different item frames/chests in your storage system if you don't want to and all groups defaults back 
into the misc group... what items is in each group is specified further down below.

Primary Group:		Sorting Item:			Secondary Group:

Dirt				(dirt)				    {misc}              ## catch all for every dirt type
Gravel				(gravel)			    {dirt}
Sand				(sand)				    {dirt}
Stone				(stone)				    {misc}              ## catch all for every stone type
Sandstone			(sandstone)			    {stone}
Cobblestone			(cobblestone)			{stone}
Stone_variants		(diorite)			    {stone} 
Bricks				(stone_bricks)			{stone} 
Blackstone			(blackstone)			{stone} 
Deepslate			(cobbled_deepslate)		{stone}
Tuff				(tuff)					{stone}
Prismarine			(prismarine)			{ocean} 
Terracotta			(terracotta)			{misc} 
Oak				    (oak_sapling)           {misc}              ## catch all for all wood types 
Spruce				(spruce_sapling)        {oak_wood}
Birch				(birch_sapling)         {oak_wood}
Jungle				(jungle_sapling)        {oak_wood}
Acacia				(acacia_sapling)        {oak_wood}
Dark Oak			(dark_oak_sapling)      {oak_wood}
Mangrove			(mangrove_propagule)    {oak_wood}
Crimson				(crimson_fungus)		{oak_wood}
Warped				(warped_fungus)			{oak_wood}
Bamboo              (bamboo)                {oak_wood}
Cherry              (cherry_sapling)        {oak_wood}
Pale_Oak			(pale_oak_sapling)      {oak_wood}
Mushrooms			(red_mushroom)  		{plants}
Plants				(hay_block)	    		{misc}              ## catch all for every plant & dye
Flowers				(poppy)			    	{plants}
Dyes				(ink_sac)			    {plants}
Redstone			(redstone)			    {misc} 
Tools				(wooden_pickaxe)		{misc}              ## catch all for every tool/weapon/armor/workbench
Armor				(leather_chestplate)	{tools} 
Workstations		(crafting_table)		{tools}
Storage				(chest)		    		{tools}
Office				(paper)				    {tools}
Music				(jukebox)			    {tools} 
Magic				(glass_bottle)			{misc}              ## catch all for every magic item
Potions				(potion)			    {magic}
Food				(cooked_porkchop)		{misc} 
Raw food			(porkchop)			    {food}
Ocean				(kelp)				    {misc}              ## catch all for everything ocean
Coral				(bubble_coral_block)	{ocean} 
Ice				    (packed_ice)			{ocean}
Wool				(white_wool)			{misc} 
Concrete			(white_concrete)		{misc} 
Glass				(white_stained_glass)	{misc}  
Nether				(netherrack)			{misc} 
End				    (end_stone)			    {misc} 
Ores				(iron_ore)			    {misc}
Copper				(copper_ingot)			{misc} 
Precious			(gold_ingot)			{misc}
Coal				(coal)				    {misc} 
Mob drops			(bone)				    {misc}

Misc				(bucket)			    {None}              ## this is a special catch all for all groups and items.


if no item frames with corresponding item in it is found within 128 blocks from the input, items should teleport to nearest player within a 128 block radius unless it is a creative or modded item, then it will sit there until it de-spawns. 

Item/Block List by group: (long list)

			"group_name": "dirt",
			"item_frame": "dirt",
			"fallback": "misc",
			"items": 
				"coarse_dirt",
				"dirt",
				"grass_block",
				"mycelium",
				"podzol",
				"clay",
				"clay_ball",
				"crimson_nylium",
				"warped_nylium",
				"moss_block",
				"rooted_dirt",
				"mud",
				"packed_mud",
				"muddy_mangrove_roots"
	
			"group_name": "gravel",
			"item_frame": "gravel",
			"fallback": "dirt",
			"items": 
				"gravel"

			"group_name": "sand",
			"item_frame": "sand",
			"fallback": "dirt",
			"items": 
				"sand",
				"red_sand"

			"group_name": "oak_wood",
			"item_frame": "oak_sapling",
			"fallback": "misc",
			"items": 
				"oak_log",
				"oak_planks",
				"oak_wood",
				"stripped_oak_log",
				"stripped_oak_wood",
				"oak_boat",
				"oak_chest_boat",
				"oak_button",
				"oak_door",
				"oak_fence",
				"oak_fence_gate",
				"oak_pressure_plate",
				"oak_slab",
				"oak_stairs",
				"oak_trapdoor",
				"petrified_oak_slab",
				"oak_sign",
				"oak_hanging_sign",
				"ladder",
				"stick",
				"oak_leaves",
				"oak_sapling"

			"group_name": "spruce_wood",
			"item_frame": "spruce_sapling",
			"fallback": "oak_wood",
			"items": 
				"spruce_log",
				"spruce_planks",
				"spruce_wood",
				"stripped_spruce_log",
				"stripped_spruce_wood",
				"spruce_boat",
				"spruce_chest_boat",
				"spruce_button",
				"spruce_door",
				"spruce_fence",
				"spruce_fence_gate",
				"spruce_pressure_plate",
				"spruce_slab",
				"spruce_stairs",
				"spruce_trapdoor",
				"spruce_sign",
				"spruce_hanging_sign",
				"spruce_leaves",
				"spruce_sapling"

			"group_name": "birch_wood",
			"item_frame": "birch_sapling",
			"fallback": "oak_wood",
			"items": 
				"birch_log",
				"birch_planks",
				"birch_wood",
				"stripped_birch_log",
				"stripped_birch_wood",
				"birch_boat",
				"birch_chest_boat",
				"birch_button",
				"birch_door",
				"birch_fence",
				"birch_fence_gate",
				"birch_pressure_plate",
				"birch_slab",
				"birch_stairs",
				"birch_trapdoor",
				"birch_sign",
				"birch_hanging_sign",
				"birch_leaves",
				"birch_sapling"

			"group_name": "jungle_wood",
			"item_frame": "jungle_sapling",
			"fallback": "oak_wood",
			"items": 
				"jungle_log",
				"jungle_planks",
				"jungle_wood",
				"stripped_jungle_log",
				"stripped_jungle_wood",
				"jungle_boat",
				"jungle_chest_boat",
				"jungle_button",
				"jungle_door",
				"jungle_fence",
				"jungle_fence_gate",
				"jungle_pressure_plate",
				"jungle_slab",
				"jungle_stairs",
				"jungle_trapdoor",
				"jungle_sign",
				"jungle_hanging_sign",
				"jungle_leaves",
				"jungle_sapling"

			"group_name": "acacia_wood",
			"item_frame": "acacia_sapling",
			"fallback": "oak_wood",
			"items": 
				"acacia_log",
				"acacia_planks",
				"acacia_wood",
				"stripped_acacia_log",
				"stripped_acacia_wood",
				"acacia_boat",
				"acacia_chest_boat",
				"acacia_button",
				"acacia_door",
				"acacia_fence",
				"acacia_fence_gate",
				"acacia_pressure_plate",
				"acacia_slab",
				"acacia_stairs",
				"acacia_trapdoor",
				"acacia_sign",
				"acacia_hanging_sign",
				"acacia_leaves",
				"acacia_sapling"

			"group_name": "dark_oak_wood",
			"item_frame": "dark_oak_sapling",
			"fallback": "oak_wood",
			"items": 
				"dark_oak_log",
				"dark_oak_planks",
				"dark_oak_wood",
				"stripped_dark_oak_log",
				"stripped_dark_oak_wood",
				"dark_oak_boat",
				"dark_oak_chest_boat",
				"dark_oak_button",
				"dark_oak_door",
				"dark_oak_fence",
				"dark_oak_fence_gate",
				"dark_oak_pressure_plate",
				"dark_oak_slab",
				"dark_oak_stairs",
				"dark_oak_trapdoor",
				"dark_oak_sign",
				"dark_oak_hanging_sign",
				"dark_oak_leaves",
				"dark_oak_sapling"

			"group_name": "crimson_wood",
			"item_frame": "crimson_fungus",
			"fallback": "oak_wood",
			"items": 
				"crimson_stem",
				"crimson_planks",
				"crimson_hyphae",
				"stripped_crimson_stem",
				"stripped_crimson_hyphae",
				"crimson_boat",
				"crimson_button",
				"crimson_door",
				"crimson_fence",
				"crimson_fence_gate",
				"crimson_pressure_plate",
				"crimson_slab",
				"crimson_stairs",
				"crimson_trapdoor",
				"crimson_sign",
				"crimson_hanging_sign",
				"nether_wart_block",
				"crimson_fungus"

			"group_name": "warped_wood",
			"item_frame": "warped_fungus",
			"fallback": "oak_wood",
			"items": 
				"warped_stem",
				"warped_planks",
				"warped_hyphae",
				"stripped_warped_stem",
				"stripped_warped_hyphae",
				"warped_boat",
				"warped_button",
				"warped_door",
				"warped_fence",
				"warped_fence_gate",
				"warped_pressure_plate",
				"warped_slab",
				"warped_stairs",
				"warped_trapdoor",
				"warped_sign",
				"warped_hanging_sign",
				"warped_wart_block",
				"warped_fungus"

			"group_name": "mangrove_wood",
			"item_frame": "mangrove_propagule",
			"fallback": "oak_wood",
			"items": 
				"mangrove_log",
				"mangrove_planks",
				"mangrove_wood",
				"stripped_mangrove_log",
				"stripped_mangrove_wood",
				"mangrove_boat",
				"mangrove_chest_boat",
				"mangrove_button",
				"mangrove_door",
				"mangrove_fence",
				"mangrove_fence_gate",
				"mangrove_pressure_plate",
				"mangrove_slab",
				"mangrove_stairs",
				"mangrove_trapdoor",
				"mangrove_sign",
				"mangrove_hanging_sign",
				"mangrove_roots",
				"mangrove_leaves",
				"mangrove_propagule"

			"group_name": "bamboo_wood",
			"item_frame": "bamboo",
			"fallback": "oak_wood",
			"items": 
				"bamboo_block",
				"stripped_bamboo_block",
				"bamboo_planks",
				"bamboo_mosaic",
				"bamboo_stairs",
				"bamboo_mosaic_stairs",
				"bamboo_slab",
				"bamboo_mosaic_slab",
				"bamboo_fence",
				"bamboo_fence_gate",
				"bamboo_door",
				"bamboo_pressure_plate",
				"bamboo_trapdoor",
				"bamboo_button",
				"bamboo_sign",
				"bamboo_hanging_sign",
				"bamboo_chest_raft",
				"bamboo_raft",
				"bamboo"

			"group_name": "cherry_wood",
			"item_frame": "cherry_sapling",
			"fallback": "oak_wood",
			"items": 
				"cherry_log",
				"cherry_planks",
				"cherry_wood",
				"stripped_cherry_log",
				"stripped_cherry_wood",
				"cherry_boat",
				"cherry_chest_boat",
				"cherry_button",
				"cherry_door",
				"cherry_fence",
				"cherry_fence_gate",
				"cherry_pressure_plate",
				"cherry_slab",
				"cherry_stairs",
				"cherry_trapdoor",
				"cherry_sign",
				"cherry_hanging_sign",
				"cherry_leaves",
				"cherry_sapling"

			"group_name": "pale_oak_wood",
			"item_frame": "pale_oak_sapling",
			"fallback": "oak_wood",
			"items": 
				"pale_oak_log",
				"pale_oak_planks",
				"pale_oak_wood",
				"strippedpale__oak_log",
				"stripped_pale_oak_wood",
				"pale_oak_boat",
				"pale_oak_chest_boat",
				"pale_oak_button",
				"pale_oak_door",
				"pale_oak_fence",
				"pale_oak_fence_gate",
				"pale_oak_pressure_plate",
				"pale_oak_slab",
				"pale_oak_stairs",
				"pale_oak_trapdoor",
				"pale_oak_sign",
				"pale_oak_hanging_sign",
				"pale_oak_leaves",
				"pale_oak_sapling"

			"group_name": "stone",
			"item_frame": "stone",
			"fallback": "misc",
			"items": 
				"stone",
				"stone_stairs",
				"stone_slab",
				"stone_button",
				"stone_pressure_plate"

			"group_name": "cobblestone",
			"item_frame": "cobblestone",
			"fallback": "stone",
			"items": 
				"cobblestone",
				"cobblestone_stairs",
				"cobblestone_slab",
				"cobblestone_wall",
				"mossy_cobblestone",
				"mossy_cobblestone_stairs",
				"mossy_cobblestone_slab",
				"mossy_cobblestone_wall"

			"group_name": "bricks",
			"item_frame": "stone_bricks",
			"fallback": "stone",
			"items": 
				"brick",
				"brick_slab",
				"brick_stairs",
				"brick_wall",
				"bricks",
				"chiseled_stone_bricks",
				"cracked_stone_bricks",
				"mossy_stone_bricks",
				"stone_brick_slab",
				"stone_brick_stairs",
				"stone_brick_wall",
				"stone_bricks",
				"mossy_stone_brick_slab",
				"mossy_stone_brick_stairs",
				"mossy_stone_brick_wall",
				"mud_bricks",
				"mud_brick_stairs",
				"mud_brick_slab",
				"mud_brick_wall"

			"group_name": "stone_variants",
			"item_frame": "diorite",
			"fallback": "stone",
			"items": 
				"andesite",
				"diorite",
				"granite",
				"andesite_slab",
				"andesite_stairs",
				"andesite_wall",
				"diorite_slab",
				"diorite_stairs",
				"diorite_wall",
				"granite_slab",
				"granite_stairs",
				"granite_wall",
				"polished_andesite",
				"polished_diorite",
				"polished_granite",
				"polished_andesite_slab",
				"polished_andesite_stairs",
				"polished_diorite_slab",
				"polished_diorite_stairs",
				"polished_granite_slab",
				"polished_granite_stairs",
				"smooth_stone_slab",
				"smooth_stone",
				"tuff",
				"calcite",
				"amethyst_block",
				"dripstone_block",
				"pointed_dripstone",
				"sculk_shrieker",
				"sculk",
				"sculk_vein",
				"sculk_catalyst"

			"group_name": "tuff",
			"item_frame": "minecraft:tuff",
			"fallback": "stone_variants",
			"items": 
				"tuff",
				"tuff_stairs",
				"tuff_slab",
				"tuff_wall",
				"chiseled_tuff",
				"polished_tuff",
				"polished_tuff_stairs",
				"polished_tuff_slab",
				"polished_tuff_wall",
				"tuff_bricks",
				"tuff_brick_stairs",
				"tuff_brick_slab",
				"tuff_brick_wall",
				"chiseled_tuff_bricks"	

			"group_name": "sandstone",
			"item_frame": "sandstone",
			"fallback": "stone",
			"items": 
				"chiseled_red_sandstone",
				"chiseled_sandstone",
				"cut_red_sandstone",
				"cut_sandstone",
				"red_sandstone",
				"red_sandstone_slab",
				"red_sandstone_stairs",
				"sandstone",
				"sandstone_slab",
				"sandstone_stairs",
				"smooth_red_sandstone",
				"smooth_sandstone",
				"cut_red_sandstone_slab",
				"cut_sandstone_slab",
				"red_sandstone_wall",
				"sandstone_wall",
				"smooth_red_sandstone_slab",
				"smooth_red_sandstone_stairs",
				"smooth_sandstone_slab",
				"smooth_sandstone_stairs"

			"group_name": "blackstone",
			"item_frame": "blackstone",
			"fallback": "stone",
			"items": 
				"basalt",
				"blackstone",
				"polished_blackstone_pressure_plate",
				"polished_basalt",
				"smooth_basalt",
				"blackstone_wall",
				"polished_blackstone_wall",
				"polished_blackstone_brick_wall",
				"polished_blackstone_button",
				"blackstone_slab",
				"blackstone_stairs",
				"gilded_blackstone",
				"polished_blackstone",
				"polished_blackstone_slab",
				"polished_blackstone_stairs",
				"chiseled_polished_blackstone",
				"polished_blackstone_bricks",
				"polished_blackstone_brick_slab",
				"polished_blackstone_brick_stairs",
				"cracked_polished_blackstone_bricks"

			"group_name": "deepslate",
			"item_frame": "cobbled_deepslate",
			"fallback": "stone",
			"items": 
				"deepslate",
				"cobbled_deepslate",
				"polished_deepslate",
				"deepslate_bricks",
				"cracked_deepslate_bricks",
				"_tiles",
				"cracked_deepslate_tiles",
				"chiseled_deepslate",
				"cobbled_deepslate_wall",
				"polished_deepslate_wall",
				"deepslate_brick_wall",
				"deepslate_tile_wall",
				"cobbled_deepslate_stairs",
				"polished_deepslate_stairs",
				"deepslate_brick_stairs",
				"deepslate_tile_stairs",
				"cobbled_deepslate_slab",
				"deepslate_brick_slab",
				"deepslate_tile_slab"

			"group_name": "plants",
			"item_frame": "hay_block",
			"fallback": "misc",
			"items": 
				"beetroot_seeds",
				"cactus",
				"carved_pumpkin",
				"chorus_plant",
				"cocoa_beans",
				"dead_bush",
				"fern",
				"grass",
				"hay_block",
				"jack_o_lantern",
				"large_fern",
				"lily_pad",
				"melon",
				"melon_seeds",
				"nether_wart",
				"poisonous_potato",
				"pumpkin",
				"pumpkin_seeds",
				"sugar_cane",
				"tall_grass",
				"vine",
				"wheat",
				"wheat_seeds",
				"crimson_roots",
				"warped_roots",
				"nether_sprouts",
				"weeping_vines",
				"twisting_vines",
				"small_dripleaf",
				"big_dripleaf",
				"azalea",
				"flowering_azalea",
				"azalea_leaves",
				"flowering_azalea_leaves",
				"hanging_roots",
				"spore_blossom",
				"glow_lichen",
				"moss_carpet",
				"pink_petals",
				"torchflower_seeds",
				"pitcher_pod"

			"group_name": "flowers",
			"item_frame": "poppy",
			"fallback": "plants",
			"items": 
				"allium",
				"azure_bluet",
				"blue_orchid",
				"chorus_flower",
				"dandelion",
				"lilac",
				"orange_tulip",
				"oxeye_daisy",
				"peony",
				"pink_tulip",
				"poppy",
				"red_tulip",
				"rose_bush",
				"sunflower",
				"white_tulip",
				"wither_rose",
				"cornflower",
				"lily_of_the_valley",
				"torchflower",
				"pitcher_plant"

			"group_name": "ink",
			"item_frame": "ink_sac",
			"fallback": "plants",
			"items": 
				"cactus_green",
				"cyan_dye",
				"dandelion_yellow",
				"gray_dye",
				"light_blue_dye",
				"light_gray_dye",
				"lime_dye",
				"magenta_dye",
				"orange_dye",
				"pink_dye",
				"purple_dye",
				"rose_red",
				"black_dye",
				"blue_dye",
				"brown_dye",
				"green_dye",
				"yellow_dye",
				"red_dye",
				"white_dye"

			"group_name": "mushrooms",
			"item_frame": "red_mushroom",
			"fallback": "plants",
			"items": 
				"red_mushroom",
				"red_mushroom_block",
				"brown_mushroom",
				"brown_mushroom_block",
				"mushroom_stem"

			"group_name": "redstone",
			"item_frame": "redstone",
			"fallback": "misc",
			"items": 
				"comparator",
				"daylight_detector",
				"dispenser",
				"dropper",
				"heavy_weighted_pressure_plate",
				"hopper",
				"lever",
				"light_weighted_pressure_plate",
				"observer",
				"piston",
				"redstone",
				"redstone_block",
				"redstone_lamp",
				"redstone_torch",
				"repeater",
				"sticky_piston",
				"tripwire_hook",
				"target",
				"tnt",
				"note_block",
				"activator_rail",
				"chest_minecart",
				"detector_rail",
				"furnace_minecart",
				"hopper_minecart",
				"minecart",
				"powered_rail",
				"rail",
				"tnt_minecart",
				"iron_door",
				"iron_trapdoor",
				"sculk_sensor",
				"calibrated_sculk_sensor",
				"lightning_rod"

			"group_name": "tools",
			"item_frame": "wooden_pickaxe",
			"fallback": "misc",
			"items": 
				"arrow",
				"bow",
				"bowl",
				"clock",
				"clownfish_bucket",
				"cod_bucket",
				"tropical_fish_bucket",
				"compass",
				"recovery_compass",
				"diamond_axe",
				"diamond_hoe",
				"diamond_pickaxe",
				"diamond_shovel",
				"diamond_sword",
				"fire_charge",
				"firework_rocket",
				"firework_star",
				"fishing_rod",
				"warped_fungus_on_a_stick",
				"carrot_on_a_stick",
				"flint",
				"flint_and_steel",
				"golden_axe",
				"golden_hoe",
				"golden_pickaxe",
				"golden_shovel",
				"golden_sword",
				"iron_axe",
				"iron_hoe",
				"iron_pickaxe",
				"iron_shovel",
				"iron_sword",
				"lava_bucket",
				"lead",
				"milk_bucket",
				"name_tag",
				"pufferfish_bucket",
				"salmon_bucket",
				"axolotl_bucket",
				"tadpole_bucket",
				"powder_snow_bucket",
				"shears",
				"spectral_arrow",
				"stone_axe",
				"stone_hoe",
				"stone_pickaxe",
				"stone_shovel",
				"stone_sword",
				"tipped_arrow",
				"torch",
				"soul_torch",
				"water_bucket",
				"wooden_axe",
				"wooden_hoe",
				"wooden_pickaxe",
				"wooden_shovel",
				"wooden_sword",
				"crossbow",
				"campfire",
				"lantern",
				"soul_lantern",
				"soul_campfire",
				"iron_bars",
				"chain",
				"netherite_sword",
				"netherite_shovel",
				"netherite_pickaxe",
				"netherite_axe",
				"netherite_hoe",
				"candle",
				"white_candle",
				"orange_candle",
				"magenta_candle",
				"light_blue_candle",
				"yellow_candle",
				"lime_candle",
				"pink_candle",
				"gray_candle",
				"light_gray_candle",
				"cyan_candle",
				"purple_candle",
				"blue_candle",
				"brown_candle",
				"green_candle",
				"red_candle",
				"black_candle",
				"light",
				"spyglass",
				"goat_horn",
				"brush",
				"trial_key",
				"wind_charge",
				"breeze_rod",
				"heavy_core",
				"mace"
				"ominous_trial_key"

			"group_name": "armor",
			"item_frame": "leather_chestplate",
			"fallback": "tools",
			"items": 
				"armor_stand",
				"chainmail_boots",
				"chainmail_chestplate",
				"chainmail_helmet",
				"chainmail_leggings",
				"diamond_boots",
				"diamond_chestplate",
				"diamond_helmet",
				"diamond_horse_armor",
				"diamond_leggings",
				"golden_boots",
				"golden_chestplate",
				"golden_helmet",
				"golden_horse_armor",
				"golden_leggings",
				"iron_boots",
				"iron_chestplate",
				"iron_helmet",
				"iron_horse_armor",
				"iron_leggings",
				"leather_boots",
				"leather_chestplate",
				"leather_helmet",
				"leather_leggings",
				"saddle",
				"shield",
				"turtle_helmet",
				"leather_horse_armor",
				"netherite_helmet",
				"netherite_chestplate",
				"netherite_leggings",
				"netherite_boots",
				"netherite_upgrade_smithing_template",
				"sentry_armor_trim_smithing_template",
				"dune_armor_trim_smithing_template",
				"coast_armor_trim_smithing_template",
				"wild_armor_trim_smithing_template",
				"ward_armor_trim_smithing_template",
				"eye_armor_trim_smithing_template",
				"vex_armor_trim_smithing_template",
				"tide_armor_trim_smithing_template",
				"snout_armor_trim_smithing_template",
				"rib_armor_trim_smithing_template",
				"spire_armor_trim_smithing_template",
				"wayfinder_armor_trim_smithing_template",
				"raiser_armor_trim_smithing_template",
				"shaper_armor_trim_smithing_template",
				"host_armor_trim_smithing_template",
				"silence_armor_trim_smithing_template",
				"bolt_armor_trim_smithing_template",
				"flow_armor_trim_smithing_template",
				"wolf_armor"

			"group_name": "storage",
			"item_frame": "chest",
			"fallback": "tools",
			"items": 
				"chest",
				"trapped_chest",
				"ender_chest",
				"black_shulker_box",
				"blue_shulker_box",
				"brown_shulker_box",
				"cyan_shulker_box",
				"gray_shulker_box",
				"green_shulker_box",
				"light_blue_shulker_box",
				"lime_shulker_box",
				"magenta_shulker_box",
				"orange_shulker_box",
				"pink_shulker_box",
				"purple_shulker_box",
				"red_shulker_box",
				"shulker_box",
				"light_gray_shulker_box",
				"white_shulker_box",
				"yellow_shulker_box",
				"bundle",
				"black_bundle",
				"blue_bundle",
				"brown_bundle",
				"cyan_bundle",
				"gray_bundle",
				"green_bundle",
				"light_blue_bundle",
				"lime_bundle",
				"magenta_bundle",
				"orange_bundle",
				"pink_bundle",
				"purple_bundle",
				"red_bundle",
				"light_gray_bundle",
				"white_bundle",
				"yellow_bundle",			
				"barrel"

			"group_name": "workstations",
			"item_frame": "crafting_table",
			"fallback": "tools",
			"items": 
				"anvil",
				"damaged_anvil",
				"chipped_anvil",
				"furnace",
				"blast_furnace",
				"fletching_table",
				"grindstone",
				"loom",
				"smithing_table",
				"smoker",
				"stonecutter",
				"lodestone",
				"respawn_anchor",
				"item_frame",
				"glow_item_frame",
				"brewing_stand",
				"cauldron",
				"enchanting_table",
				"crafting_table",
				"scaffolding",
				"cartography_table",
				"composter",
				"lectern",
				"beehive",
				"bell",
				"crafter"

			"group_name": "office",
			"item_frame": "paper",
			"fallback": "workstations",
			"items": 
				"bookshelf",
				"chiseled_bookshelf",				
				"writable_book",
				"written_book",
				"book",
				"filled_map",
				"map",
				"painting",
				"paper",
				"flower_pot",
				"angler_pottery_sherd",
				"archer_pottery_sherd",
				"arms_up_pottery_sherd",
				"blade_pottery_sherd",
				"brewer_pottery_sherd",
				"burn_pottery_sherd",
				"danger_pottery_sherd",
				"explorer_pottery_sherd",
				"friend_pottery_sherd",
				"heart_pottery_sherd",
				"heartbreak_pottery_sherd",
				"howl_pottery_sherd",
				"miner_pottery_sherd",
				"mourner_pottery_sherd",
				"plenty_pottery_sherd",
				"prize_pottery_sherd",
				"sheaf_pottery_sherd",
				"shelter_pottery_sherd",
				"skull_pottery_sherd",
				"snort_pottery_sherd",
				"scrape_pottery_sherd",
				"flow_pottery_sherd",
				"guster_pottery_sherd",
				"decorated_pot"

			"group_name": "music",
			"item_frame": "jukebox",
			"fallback": "tools",
			"items": 
				"music_disc_11",
				"music_disc_13",
				"music_disc_blocks",
				"music_disc_cat",
				"music_disc_chirp",
				"music_disc_far",
				"music_disc_mall",
				"music_disc_mellohi",
				"music_disc_stal",
				"music_disc_strad",
				"music_disc_wait",
				"music_disc_ward",
				"music_disc_pigstep",
				"music_disc_otherside",
				"music_disc_relic",
				"music_disc_5",
				"disc_fragment_5",
				"music_disc_creator_music_box",
				"music_disc_creator",
				"jukebox"

			"group_name": "magic",
			"item_frame": "glass_bottle",
			"fallback": "misc",
			"items": 
				"blaze_powder",
				"dragon_breath",
				"enchanted_book",
				"enchanted_golden_apple",
				"ender_eye",
				"experience_bottle",
				"glass_bottle",
				"glistering_melon_slice",
				"golden_apple",
				"golden_carrot",

			"group_name": "potions",
			"item_frame": "potion",
			"fallback": "magic",
			"items": 
				"lingering_potion",
				"potion",
				"splash_potion"

			"group_name": "food",
			"item_frame": "cooked_porkchop",
			"fallback": "misc",
			"items": 
				"apple",
				"baked_potato",
				"beetroot",
				"beetroot_soup",
				"bread",
				"cake",
				"carrot",
				"cooked_beef",
				"cooked_chicken",
				"cooked_cod",
				"cooked_mutton",
				"cooked_porkchop",
				"cooked_rabbit",
				"cooked_salmon",
				"cookie",
				"melon_slice",
				"mushroom_stew",
				"pumpkin_pie",
				"rabbit_stew",
				"sugar",
				"suspicious_stew",
				"sweet_berries",
				"glow_berries"
				"honey_bottle"
				"ominous_bottle"

			"group_name": "raw",
			"item_frame": "porkchop",
			"fallback": "food",
			"items": 
				"beef",
				"chicken",
				"cod",
				"mutton",
				"porkchop",
				"potato",
				"rabbit",
				"chorus_fruit",
				"salmon"

			"group_name": "ocean",
			"item_frame": "kelp",
			"fallback": "misc",
			"items": 
				"dried_kelp",
				"kelp",
				"dried_kelp_block",
				"nautilus_shell",
				"pufferfish",
				"sea_lantern",
				"sea_pickle",
				"seagrass",
				"sponge",
				"tropical_fish",
				"wet_sponge"

			"group_name": "coral",
			"item_frame": "bubble_coral_block",
			"fallback": "ocean",
			"items": 
				"brain_coral",
				"brain_coral_block",
				"brain_coral_fan",
				"bubble_coral",
				"bubble_coral_block",
				"bubble_coral_fan",
				"dead_brain_coral_block",
				"dead_bubble_coral_block",
				"dead_fire_coral_block",
				"dead_horn_coral_block",
				"dead_tube_coral_block",
				"fire_coral",
				"fire_coral_block",
				"fire_coral_fan",
				"horn_coral",
				"horn_coral_block",
				"horn_coral_fan",
				"tube_coral",
				"tube_coral_block",
				"tube_coral_fan",
				"dead_brain_coral",
				"dead_bubble_coral",
				"dead_fire_coral",
				"dead_horn_coral",
				"dead_tube_coral",
				"dead_tube_coral_fan",
				"dead_brain_coral_fan",
				"dead_bubble_coral_fan",
				"dead_fire_coral_fan",
				"dead_horn_coral_fan"

			"group_name": "prismarine",
			"item_frame": "prismarine",
			"fallback": "ocean",
			"items": 
				"dark_prismarine",
				"dark_prismarine_slab",
				"dark_prismarine_stairs",
				"prismarine",
				"prismarine_brick_slab",
				"prismarine_brick_stairs",
				"prismarine_bricks",
				"prismarine_crystals",
				"prismarine_shard",
				"prismarine_slab",
				"prismarine_stairs",
				"prismarine_wall"

			"group_name": "ice",
			"item_frame": "packed_ice",
			"fallback": "ocean",
			"items": 
				"blue_ice",
				"ice",
				"packed_ice",
				"snow",
				"snow_block",
				"snowball"

			"group_name": "wool",
			"item_frame": "white_wool",
			"fallback": "misc",
			"items": 
				"black_banner",
				"black_carpet",
				"black_wool",
				"blue_banner",
				"blue_carpet",
				"blue_wool",
				"brown_banner",
				"brown_carpet",
				"brown_wool",
				"cyan_banner",
				"cyan_carpet",
				"cyan_wool",
				"gray_banner",
				"gray_carpet",
				"gray_wool",
				"green_banner",
				"green_carpet",
				"green_wool",
				"light_blue_banner",
				"light_blue_carpet",
				"light_blue_wool",
				"light_gray_banner",
				"light_gray_carpet",
				"light_gray_wool",
				"lime_banner",
				"lime_carpet",
				"lime_wool",
				"magenta_banner",
				"magenta_carpet",
				"magenta_wool",
				"orange_banner",
				"orange_carpet",
				"orange_wool",
				"pink_banner",
				"pink_carpet",
				"pink_wool",
				"purple_banner",
				"purple_carpet",
				"purple_wool",
				"red_banner",
				"red_carpet",
				"red_wool",
				"white_banner",
				"white_carpet",
				"white_wool",
				"yellow_banner",
				"yellow_carpet",
				"yellow_wool",
				"brown_bed",
				"black_bed",
				"blue_bed",
				"cyan_bed",
				"gray_bed",
				"green_bed",
				"light_blue_bed",
				"light_gray_bed",
				"lime_bed",
				"magenta_bed",
				"orange_bed",
				"pink_bed",
				"purple_bed",
				"red_bed",
				"white_bed",
				"yellow_bed",
				"flower_banner_pattern",
				"creeper_banner_pattern",
				"skull_banner_pattern",
				"mojang_banner_pattern",
				"globe_banner_pattern",
				"piglin_banner_pattern",
				"flow_banner_pattern",
				"guster_banner_pattern"

			"group_name": "concrete",
			"item_frame": "white_concrete",
			"fallback": "misc",
			"items": 
				"black_concrete",
				"black_concrete_powder",
				"blue_concrete",
				"blue_concrete_powder",
				"brown_concrete",
				"brown_concrete_powder",
				"cyan_concrete",
				"cyan_concrete_powder",
				"gray_concrete",
				"gray_concrete_powder",
				"green_concrete",
				"green_concrete_powder",
				"light_blue_concrete",
				"light_blue_concrete_powder",
				"light_gray_concrete",
				"light_gray_concrete_powder",
				"lime_concrete",
				"lime_concrete_powder",
				"magenta_concrete",
				"magenta_concrete_powder",
				"orange_concrete",
				"orange_concrete_powder",
				"pink_concrete",
				"pink_concrete_powder",
				"purple_concrete",
				"purple_concrete_powder",
				"red_concrete",
				"red_concrete_powder",
				"white_concrete",
				"white_concrete_powder",
				"yellow_concrete",
				"yellow_concrete_powder"

			"group_name": "terracotta",
			"item_frame": "terracotta",
			"fallback": "misc",
			"items": 
				"black_glazed_terracotta",
				"black_terracotta",
				"blue_glazed_terracotta",
				"blue_terracotta",
				"brown_glazed_terracotta",
				"brown_terracotta",
				"cyan_glazed_terracotta",
				"cyan_terracotta",
				"gray_glazed_terracotta",
				"gray_terracotta",
				"green_glazed_terracotta",
				"green_terracotta",
				"light_blue_glazed_terracotta",
				"light_blue_terracotta",
				"light_gray_terracotta",
				"lime_glazed_terracotta",
				"lime_terracotta",
				"magenta_glazed_terracotta",
				"magenta_terracotta",
				"orange_glazed_terracotta",
				"orange_terracotta",
				"pink_glazed_terracotta",
				"pink_terracotta",
				"purple_glazed_terracotta",
				"purple_terracotta",
				"red_glazed_terracotta",
				"red_terracotta",
				"light_gray_glazed_terracotta",
				"terracotta",
				"white_glazed_terracotta",
				"white_terracotta",
				"yellow_glazed_terracotta",
				"yellow_terracotta"

			"group_name": "glass",
			"item_frame": "white_stained_glass",
			"fallback": "misc",
			"items": 
				"black_stained_glass",
				"black_stained_glass_pane",
				"blue_stained_glass",
				"blue_stained_glass_pane",
				"brown_stained_glass",
				"brown_stained_glass_pane",
				"cyan_stained_glass",
				"cyan_stained_glass_pane",
				"glass",
				"glass_pane",
				"gray_stained_glass",
				"gray_stained_glass_pane",
				"green_stained_glass",
				"green_stained_glass_pane",
				"light_blue_stained_glass",
				"light_blue_stained_glass_pane",
				"light_gray_stained_glass",
				"light_gray_stained_glass_pane",
				"lime_stained_glass",
				"lime_stained_glass_pane",
				"magenta_stained_glass",
				"magenta_stained_glass_pane",
				"orange_stained_glass",
				"orange_stained_glass_pane",
				"pink_stained_glass",
				"pink_stained_glass_pane",
				"purple_stained_glass",
				"purple_stained_glass_pane",
				"red_stained_glass",
				"red_stained_glass_pane",
				"white_stained_glass",
				"white_stained_glass_pane",
				"yellow_stained_glass",
				"yellow_stained_glass_pane",
				"tinted_glass"

			"group_name": "nether",
			"item_frame": "netherrack",
			"fallback": "misc",
			"items": 
				"chiseled_quartz_block",
				"glowstone",
				"glowstone_dust",
				"magma_block",
				"nether_brick",
				"nether_brick_fence",
				"nether_brick_slab",
				"nether_brick_stairs",
				"nether_brick_wall",
				"nether_bricks",
				"red_nether_brick_slab",
				"red_nether_brick_stairs",
				"red_nether_brick_wall",
				"netherrack",
				"quartz",
				"quartz_block",
				"quartz_pillar",
				"quartz_slab",
				"quartz_stairs",
				"red_nether_bricks",
				"smooth_quartz",
				"soul_sand",
				"soul_soil",
				"smooth_quartz_slab",
				"smooth_quartz_stairs",
				"cracked_nether_bricks",
				"chiseled_nether_bricks",
				"quartz_bricks",
				"shroomlight",
				"obsidian",
				"crying_obsidian"

			"group_name": "end",
			"item_frame": "end_stone",
			"fallback": "misc",
			"items": 
				"end_crystal",
				"end_portal_frame",
				"end_rod",
				"end_stone",
				"end_stone_bricks",
				"popped_chorus_fruit",
				"purpur_block",
				"purpur_pillar",
				"purpur_slab",
				"purpur_stairs",
				"end_stone_brick_slab",
				"end_stone_brick_stairs",
				"end_stone_brick_wall"

			"group_name": "ores",
			"item_frame": "iron_ore",
			"fallback": "misc",
			"items": 
				"coal_ore",
				"emerald_ore",
				"diamond_ore",
				"gold_ore",
				"iron_ore",
				"lapis_ore",
				"nether_quartz_ore",
				"nether_gold_ore",
				"redstone_ore",
				"copper_ore",
				"deepslate_coal_ore",
				"deepslate_iron_ore",
				"deepslate_copper_ore",
				"deepslate_gold_ore",
				"deepslate_redstone_ore",
				"deepslate_emerald_ore",
				"deepslate_lapis_ore",
				"deepslate_diamond_ore",
				"raw_iron",
				"raw_copper",
				"raw_gold",
				"raw_iron_block",
				"raw_copper_block",
				"raw_gold_block",
				"amethyst_shard",
				"small_amethyst_bud",
				"medium_amethyst_bud",
				"large_amethyst_bud",
				"amethyst_cluster",
				"ancient_debris"

			"group_Name": "copper",
			"Item_frame": "copper_ingot",
			"fallback": "misc",
			"items":
				"copper_block",
				"copper_ingot",
				"exposed_copper",
				"weathered_copper",
				"oxidized_copper",
				"cut_copper",
				"exposed_cut_copper",
				"weathered_cut_copper",
				"oxidized_cut_copper",
				"cut_copper_stairs",
				"exposed_cut_copper_stairs",
				"weathered_cut_copper_stairs",
				"oxidized_cut_copper_stairs",
				"cut_copper_slab",
				"exposed_cut_copper_slab",
				"weathered_cut_copper_slab",
				"oxidized_cut_copper_slab",
				"waxed_copper_block",
				"waxed_exposed_copper",
				"waxed_weathered_copper",
				"waxed_oxidized_copper",
				"waxed_cut_copper",
				"waxed_exposed_cut_copper",
				"waxed_weathered_cut_copper",
				"waxed_oxidized_cut_copper",
				"waxed_cut_copper_stairs",
				"waxed_exposed_cut_copper_stairs",
				"waxed_weathered_cut_copper_stairs",
				"waxed_oxidized_cut_copper_stairs",
				"waxed_cut_copper_slab",
				"waxed_exposed_cut_copper_slab",
				"waxed_weathered_cut_copper_slab",
				"waxed_oxidized_cut_copper_slab",
				"chiseled_copper",
				"copper_grate",
				"copper_door",
				"copper_trapdoor",
				"copper_bulb",
				"exposed_chiseled_copper",
				"exposed_copper_grate",
				"exposed_copper_door",
				"exposed_copper_trapdoor",
				"exposed_copper_bulb",
				"weathered_chiseled_copper",
				"weathered_copper_grate",
				"weathered_copper_door",
				"weathered_copper_trapdoor",
				"weathered_copper_bulb",
				"oxidized_chiseled_copper",
				"oxidized_copper_grate",
				"oxidized_copper_door",
				"oxidized_copper_trapdoor",
				"oxidized_copper_bulb",
				"waxed_chiseled_copper",
				"waxed_copper_grate",
				"waxed_copper_door",
				"waxed_copper_trapdoor",
				"waxed_copper_bulb",
				"waxed_exposed_chiseled_copper",
				"waxed_exposed_copper_grate",
				"waxed_exposed_copper_door",
				"waxed_exposed_copper_trapdoor",
				"waxed_exposed_copper_bulb",
				"waxed_weathered_chiseled_copper",
				"waxed_weathered_copper_grate",
				"waxed_weathered_copper_door",
				"waxed_weathered_copper_trapdoor",
				"waxed_weathered_copper_bulb",
				"waxed_oxidized_chiseled_copper",
				"waxed_oxidized_copper_grate",
				"waxed_oxidized_copper_door",
				"waxed_oxidized_copper_trapdoor",
				"waxed_oxidized_copper_bulb"

			"group_name": "precious",
			"item_frame": "gold_ingot",
			"fallback": "misc",
			"items": 
				"beacon",
				"conduit",
				"diamond",
				"diamond_block",
				"elytra",
				"emerald",
				"emerald_block",
				"gold_block",
				"gold_ingot",
				"gold_nugget",
				"heart_of_the_sea",
				"iron_block",
				"iron_ingot",
				"iron_nugget",
				"lapis_block",
				"lapis_lazuli",
				"netherite_ingot",
				"netherite_scrap",
				"netherite_block",
				"echo_shard"

			"group_name": "coal",
			"item_frame": "coal",
			"fallback": "misc",
			"items": 
				"charcoal",
				"coal",
				"coal_block"

			"group_name": "mobs",
			"item_frame": "bone",
			"fallback": "misc",
			"items": 
				"blaze_rod",
				"bone",
				"bone_block",
				"bone_meal",
				"cobweb",
				"creeper_head",
				"dragon_egg",
				"dragon_head",
				"piglin_head",
				"egg",
				"ender_pearl",
				"feather",
				"fermented_spider_eye",
				"ghast_tear",
				"gunpowder",
				"infested_chiseled_stone_bricks",
				"infested_cobblestone",
				"infested_cracked_stone_bricks",
				"infested_mossy_stone_bricks",
				"infested_deepslate",
				"infested_stone",
				"infested_stone_bricks",
				"leather",
				"nether_star",
				"magma_cream",
				"phantom_membrane",
				"player_head",
				"rabbit_foot",
				"rabbit_hide",
				"rotten_flesh",
				"scute",
				"turtle_scute",
				"shulker_shell",
				"skeleton_skull",
				"slime_ball",
				"slime_block",
				"spider_eye",
				"string",
				"totem_of_undying",
				"trident",
				"turtle_egg",
				"wither_skeleton_skull",
				"zombie_head",
				"bee_nest",
				"honey_block",
				"honeycomb",
				"honeycomb_block",
				"ink_sac",
				"glow_ink_sac",
				"frogspawn",
				"ochre_froglight",
				"verdant_froglight",
				"pearlescent_froglight",
				"sniffer_egg",
				"armadillo_scute"						

			"group_name": "misc",
			"item_frame": "bucket",
			"note": "This is a special catch-all group, which receives all unsorted items when the system cannot find their proper homes.  Using this you can progressively build a sorting system over time, that only has some groups but not all.",
			"items": 
				"bucket"

